Summary:	X.org video driver for S3 Savage family video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych z rodziny S3 Savage
Name:		xorg-driver-video-savage
Version:	2.3.7
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-savage-%{version}.tar.bz2
# Source0-md5:	e813271ab43cc6a95ac0ab252b90a885
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.1.0
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-libdri >= 1.1.0
Requires:	xorg-xserver-libglx >= 1.1.0
Requires:	xorg-xserver-server >= 1.1.0
Provides:	xorg-driver-video
Obsoletes:	X11-driver-savage < 1:7.0.0
Obsoletes:	XFree86-driver-savage < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for S3 Savage family video chips. It supports PCI
and AGP boards with the following chips: Savage3D, Savage4,
Savage2000, Savage/MX, Savage/IX, SuperSavage/MX, SuperSavage/IX,
ProSavage PM133, ProSavage KM133, Twister (ProSavage PN133), TwisterK
(ProSavage KN133), ProSavage DDR, ProSavage DDR-K. Savage2000 support
has acceleration limited to 2D only. Dualhead operation is supported
on MX, IX and SuperSavage chips.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych z rodziny S3 Savage.
Obsługuje karty PCI i AGP oparte na następujących układach: Savage3D,
Savage4, Savage2000, Savage/MX, Savage/IX, SuperSavage/MX,
SuperSavage/IX, ProSavage PM133, ProSavage KM133, Twister (ProSavage
PN133), TwisterK (ProSavage KN133), ProSavage DDR, ProSavage DDR-K.
Obsługa Savage2000 ma akcelerację ograniczoną do operacji 2D. Tryb
dualhead jest obsługiwany na układach MX, IX i SuperSavage.

%prep
%setup -q -n xf86-video-savage-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/savage_drv.so
%{_mandir}/man4/savage.4*
%changelog
* Wed Sep 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-savage.git;a=log;h=master

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 657d7c0
- updated to 2.3.7

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 41c7f10
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 13a53e7
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c7d4cf
- updated to 2.3.6

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 00a991d
- updated to 2.3.5

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 1bded3a
- updated to 2.3.4

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0970386
- release 2

* Mon Oct 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 7c434dc
- updated to 2.3.3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d5f6a95
- release 4

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 731746d
- xorg-driver-video virtual for video drivers
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 79bf19a
- release 2

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 847abe1
- updated to 2.3.2

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 86925d2
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 277aaf2
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 18eabca
- release 4

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 46cc746
- BR: xorg-proto-glproto-devel

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> de761ab
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d1afdd
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ea6d6e0
- up to 2.3.1

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 04a7710
- updated to 2.3.0

